---
title: 'ServiceWorkerGlobalScope: push event'
slug: Web/API/ServiceWorkerGlobalScope/push_event
tags:
  - API
  - Event
  - Notifications
  - Push
  - Push API
  - PushEvent
  - Reference
  - Service Workers
  - ServiceWorkerGlobalScope
  - messaging
---
<div>{{APIRef("Push API")}}</div>

<p><span class="seoSummary">The <strong><code>push</code></strong> event is sent to a service worker's global scope (represented by the {{domxref("ServiceWorkerGlobalScope")}} interface) when the service worker has received a push message.</span></p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("PushEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{domxref("ServiceWorkerGlobalScope.onpush", "onpush")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Example">Example</h2>

<p>This example sets up a handler for <code>push</code> events that takes {{Glossary("JSON")}} data, parses it, and dispatches the message for handling based on information contained within the message.</p>

<pre class="brush: js notranslate">self.addEventListener("push", event =&gt; {
  let message = event.data.json();

  switch(message.type) {
    case "init":
      doInit();
      break;
    case "shutdown":
      doShutdown();
      break;
  }
}, false);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Push API', '#extensions-to-the-serviceworkerglobalscope-interface', 'push')}}</td>
   <td>{{Spec2('Push API')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.ServiceWorkerGlobalScope.push_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Push_API/Using_the_Push_API">Using the Push API</a></li>
 <li>{{domxref("ServiceWorkerGlobalScope.onpush", "onpush")}} event handler property</li>
 <li>{{domxref("ServiceWorkerGlobalScope/pushsubscriptionchange_event", "pushsubscriptionchange")}} event</li>
</ul>
